| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# NTupleInterface.cpp File Reference

`#include "GaudiKernel/NTuple.h"`
`#include "HbookDef.h"`
`#include "NTupleInfo.h"`

Include dependency graph for NTupleInterface.cpp:

Go to the source code of this file.

## Functions
long HBOOK_CALL_TYPE | rwntbook_ (const long &id, const long &dim, const char tag[512][64], const char *rzdir, const char *title, long, long, long)
long HBOOK_CALL_TYPE | rwntinfo_ (const long &id, long &dim, long &ents, char tags[512][64], double range[512][2], char title[], long, long)
long HBOOK_CALL_TYPE | cwntbook_ (const long &id, const char title[], const char opt[], long, long)
long HBOOK_CALL_TYPE | cwntinfo_ (const long &id, char name[512][64], long dim[], long theDim[512][5], long hasIndex[], char index[512][64], char type[], long size[], long hasRange[], long irange[512][2], double frange[512][2], char title[], long &numVar, long &numEnt, char block[512][12], long, long, long, long, long, long)
void HBOOK_CALL_TYPE | hlnext_ (long &id, char *, char *, const char *, int, int, int)
void | hbname_ (const long &id, const char *title, const void *opt, const char *form, int, int)
void | hropen_ (const long &, const char *, const char *, const char *, long &, long &, int, int, int)
void | hcdir_ (const char *, const char *, int, int)
void | hldir_ (const char *, const char *, int, int)
void | hmdir_ (const char *, const char *, int, int)
long | RWNT_BOOK (const NTUPLEINFO &i)
long | RWNT_INFO (NTUPLEINFO &i)
long | CWNT_BOOK (const NTUPLEINFO &i)
long | CWNT_INFO (NTUPLEINFO &i)
void | HLNEXT (long &id, std::string &a, std::string &b, const std::string &c)
void | HCDIR (const std::string &a, const std::string &b)
void | HLDIR (const std::string &a, const std::string &b)
void | HMDIR (const std::string &a, const std::string &b)
void | HBNAME (const long &id, const std::string &a, const void *opt, const std::string &b)
void | HROPEN (const long &lun, const std::string &a, const std::string &b, const std::string &c, long &i, long &j)

## Function Documentation

long CWNT_BOOK | ( | const NTUPLEINFO & | i | ) |

Definition at line 209 of file NTupleInterface.cpp.

References cwntbook_().

Referenced by HbookCnv::HCWNTupleCnv::book().

    00209                                      {
    00210   return cwntbook_(i.id, i.title, " ", strlen(i.title), 1);
    00211 }

long CWNT_INFO | ( | NTUPLEINFO & | i | ) |

Definition at line 213 of file NTupleInterface.cpp.

References cleanForString(), and cwntinfo_().

Referenced by HbookCnv::HCWNTupleCnv::load().

    00213                               {
    00214   long r = cwntinfo_(i.id,
    00215                      i.name,
    00216                      i.dim,
    00217                      i.theDim,
    00218                      i.hasIndex,
    00219                      i.index,
    00220                      i.type,
    00221                      i.size,
    00222                      i.hasRange,
    00223                      i.irange,
    00224                      i.frange,
    00225                      i.title,
    00226                      i.numVar,
    00227                      i.numEnt,
    00228                      i.block,
    00229                      sizeof(i.name[0]), sizeof(i.index[0]), 1,
    00230                      sizeof(i.title)-1,
    00231                      sizeof(i.block[0]),sizeof(i.index[0])
    00232                      );
    00233
    00234   // Clean up ntuple block names
    00235   for (long iv=0; iv<i.numVar; ++iv) {
    00236     std::string blk = i.block[iv];
    00237     blk = blk.substr(0,8);
    00238     int ibs;
    00239     if ( (ibs = blk.find(" ")) >= 0 ) {
    00240       blk = blk.substr(0,ibs);
    00241     }
    00242     strcpy(i.block[iv],blk.c_str());
    00243   }
    00244
    00245   cleanForString(i.title, sizeof(i.title)-1);
    00246   return r;
    00247 }

long HBOOK_CALL_TYPE cwntbook_ | ( | const long & | id,
|  | const char | title[],
|  | const char | opt[],
|  | long | ,
|  | long |  |
| ) |  |  |

Referenced by CWNT_BOOK().

long HBOOK_CALL_TYPE cwntinfo_ | ( | const long & | id,
|  | char | name[512][64],
|  | long | dim[],
|  | long | theDim[512][5],
|  | long | hasIndex[],
|  | char | index[512][64],
|  | char | type[],
|  | long | size[],
|  | long | hasRange[],
|  | long | irange[512][2],
|  | double | frange[512][2],
|  | char | title[],
|  | long & | numVar,
|  | long & | numEnt,
|  | char | block[512][12],
|  | long | ,
|  | long | ,
|  | long | ,
|  | long | ,
|  | long | ,
|  | long |  |
| ) |  |  |

Referenced by CWNT_INFO().

void HBNAME | ( | const long & | id,
|  | const std::string & | a,
|  | const void * | opt,
|  | const std::string & | b |
| ) |  |  |

Definition at line 268 of file NTupleInterface.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), hbname_(), and std::basic_string< _CharT, _Traits, _Alloc >::length().

Referenced by HbookCnv::HCWNTupleCnv::declare(), and HbookCnv::HCWNTupleCnv::load().

    00268                                                                                       {
    00269   hbname_(id, a.c_str(), opt, b.c_str(), a.length(), b.length());
    00270 }

void hbname_ | ( | const long & | id,
|  | const char * | title,
|  | const void * | opt,
|  | const char * | form,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HBNAME().

void HCDIR | ( | const std::string & | a,
|  | const std::string & | b |
| ) |  |  |

Definition at line 259 of file NTupleInterface.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), hcdir_(), and std::basic_string< _CharT, _Traits, _Alloc >::length().

Referenced by HbookCnv::HConverter::createSubDirs(), HbookCnv::HDirectoryCnv::fillObjRefs(), HbookCnv::HConverter::setDirectory(), and HbookCnv::HConverter::setDiskDirectory().

    00259                                                      {
    00260   hcdir_(a.c_str(), b.c_str(), a.length(), b.length());
    00261 }

void hcdir_ | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HCDIR().

void HLDIR | ( | const std::string & | a,
|  | const std::string & | b |
| ) |  |  |

Definition at line 262 of file NTupleInterface.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), hldir_(), and std::basic_string< _CharT, _Traits, _Alloc >::length().

    00262                                                      {
    00263   hldir_(a.c_str(), b.c_str(), a.length(), b.length());
    00264 }

void hldir_ | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HLDIR().

void HLNEXT | ( | long & | id,
|  | std::string & | a,
|  | std::string & | b,
|  | const std::string & | c |
| ) |  |  |

Definition at line 249 of file NTupleInterface.cpp.

References c, cleanForString(), and hlnext_().

Referenced by HbookCnv::HConverter::createSubDirs(), and HbookCnv::HDirectoryCnv::fillObjRefs().

    00249                                                                       {
    00250   char buff[256], typ[2] = {0,0};
    00251   memset(buff,0,sizeof(buff));
    00252   hlnext_(id, typ, buff, c.c_str(), sizeof(typ)-1, sizeof(buff), c.length());
    00253   buff[sizeof(buff)-1] = 0;
    00254   cleanForString(buff, sizeof(buff)-1);
    00255   b = buff;
    00256   a = typ;
    00257 }

void HBOOK_CALL_TYPE hlnext_ | ( | long & | id,
|  | char * | ,
|  | char * | ,
|  | const char * | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HLNEXT().

void HMDIR | ( | const std::string & | a,
|  | const std::string & | b |
| ) |  |  |

Definition at line 265 of file NTupleInterface.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), hmdir_(), and std::basic_string< _CharT, _Traits, _Alloc >::length().

Referenced by HbookCnv::HConverter::createSubDirs(), and HbookCnv::HDirectoryCnv::fillObjRefs().

    00265                                                      {
    00266   hmdir_(a.c_str(), b.c_str(), a.length(), b.length());
    00267 }

void hmdir_ | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HMDIR().

void HROPEN | ( | const long & | lun,
|  | const std::string & | a,
|  | const std::string & | b,
|  | const std::string & | c,
|  | long & | i,
|  | long & | j |
| ) |  |  |

Definition at line 271 of file NTupleInterface.cpp.

References c, std::basic_string< _CharT, _Traits, _Alloc >::c_str(), hropen_(), and std::basic_string< _CharT, _Traits, _Alloc >::length().

Referenced by HbookCnv::HFileCnv::createObj().

    00271                                                                                                            {
    00272   hropen_(lun, a.c_str(), b.c_str(), c.c_str(), i, j, a.length(), b.length(), c.length());
    00273 }

void hropen_ | ( | const long & | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | long & | ,
|  | long & | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  |

Referenced by HROPEN().

long RWNT_BOOK | ( | const NTUPLEINFO & | i | ) |

Definition at line 182 of file NTupleInterface.cpp.

References rwntbook_().

Referenced by HbookCnv::HRWNTupleCnv::book().

    00182                                      {
    00183   return rwntbook_(i.id,
    00184        i.numVar,
    00185        i.name,
    00186        i.rzdir,
    00187        i.title,
    00188        sizeof(i.name[0]), strlen(i.rzdir), strlen(i.title));
    00189 }

long RWNT_INFO | ( | NTUPLEINFO & | i | ) |

Definition at line 191 of file NTupleInterface.cpp.

References rwntinfo_().

Referenced by HbookCnv::HRWNTupleCnv::load().

    00191                               {
    00192   long r = rwntinfo_(i.id,
    00193          i.numVar,
    00194          i.numEnt,
    00195          i.name,
    00196          i.frange,
    00197          i.title,
    00198          sizeof(i.name[0]), sizeof(i.title));
    00199   for ( long j = 0; j < i.numVar; j++ )   {
    00200     i.size[j] = sizeof(float)*CHAR_BIT;
    00201     i.dim[j] = 0;
    00202     i.hasRange[j] = 0;
    00203     i.hasIndex[j] = 0;
    00204   }
    00205   memset(i.block,0,sizeof(i.block));
    00206   return r;
    00207 }

long HBOOK_CALL_TYPE rwntbook_ | ( | const long & | id,
|  | const long & | dim,
|  | const char | tag[512][64],
|  | const char * | rzdir,
|  | const char * | title,
|  | long | ,
|  | long | ,
|  | long |  |
| ) |  |  |

Referenced by RWNT_BOOK().

long HBOOK_CALL_TYPE rwntinfo_ | ( | const long & | id,
|  | long & | dim,
|  | long & | ents,
|  | char | tags[512][64],
|  | double | range[512][2],
|  | char | title[],
|  | long | ,
|  | long |  |
| ) |  |  |

Referenced by RWNT_INFO().